import request from "@/utils/request";
export function getAnalogData(data) {
  return request({
    url: "/service/msgAlarmTemporary/list",
    method: "post",
    data: data,
  });
}
export function importPng(params) {
  return request({
    method: "post",
    url: "/api/putFile",
    data: params,
  });
}
export function addAlarmTemporary(params) {
  return request({
    method: "post",
    url: "/service/msgAlarmTemporary/saveMsgAlarmTemporary",
    data: params,
  });
}
export function sendAlarm(id) {
  return request({
    method: "get",
    url: `/service/msgAlarmTemporary/alarm/${id}`,
  });
}
export function editAlarmTemporary(data) {
  return request({
    method: "post",
    url: "/service/msgAlarmTemporary/editMsgAlarmTemporary",
    data,
  });
}
//解除报警
export function disarmingAlarm(data) {
  return request({
    method: "post",
    url: "service/msgAlarmTemporary/releaseAlarm",
    data,
  });
}
//解除报警
export function getStream(data) {
  return request({
    method: "get",
    url: "/service/baseCameraManagement/getCameraManagementList",
    data,
  });
}